%define VERSION 1.00
%define  RELEASE 1

%ifarch	x86_64
%define	_libs	RPM/libs64
%else
%define	_libs	RPM/libs32
%endif

Summary: Canon Printer Setup Utility for Linux v%{VERSION}
Name: cndrvcups-utility
Version: %{VERSION}
Release: %{RELEASE}
License: See the LICENSE*.txt file.
Vendor: CANON INC.
Group: Applications/Publishing

Source: cndrvcups-utility-%{version}-%{release}.tar.gz

BuildRoot: %{_tmppath}/%{name}-root

%description
This utility is used to select installed printer drivers and register printers.

%prep
%setup -q

#cd cnsetuputil
#./autogen.sh --libdir=%{locallibs} 

%build
#make

%install
mkdir -pv ${RPM_BUILD_ROOT}%{_bindir}
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/local/bin
mkdir -pv ${RPM_BUILD_ROOT}%{_libdir}
mkdir -pv ${RPM_BUILD_ROOT}%{_includedir}
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/share/cnsetuputil
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/ja/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/de/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/es/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/fr/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/it/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/zh_CN/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/ko/LC_MESSAGES
mkdir -pv ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/zh_TW/LC_MESSAGES

make install DESTDIR=${RPM_BUILD_ROOT}

#install -c -m 644 data/*.desktop	${RPM_BUILD_ROOT}%{_prefix}/share/applications
install -c -m 755 %{_libs}/cnsetuputil	${RPM_BUILD_ROOT}%{_prefix}/local/bin

install -c -m 644 %{_libs}/ja/LC_MESSAGES/cnsetuputil.mo       ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/ja/LC_MESSAGES
install -c -m 644 %{_libs}/de/LC_MESSAGES/cnsetuputil.mo       ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/de/LC_MESSAGES
install -c -m 644 %{_libs}/es/LC_MESSAGES/cnsetuputil.mo       ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/es/LC_MESSAGES
install -c -m 644 %{_libs}/fr/LC_MESSAGES/cnsetuputil.mo       ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/fr/LC_MESSAGES
install -c -m 644 %{_libs}/it/LC_MESSAGES/cnsetuputil.mo       ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/it/LC_MESSAGES
install -c -m 644 %{_libs}/zh_CN/LC_MESSAGES/cnsetuputil.mo    ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/zh_CN/LC_MESSAGES
install -c -m 644 %{_libs}/ko/LC_MESSAGES/cnsetuputil.mo       ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/ko/LC_MESSAGES
install -c -m 644 %{_libs}/zh_TW/LC_MESSAGES/cnsetuputil.mo    ${RPM_BUILD_ROOT}%{_prefix}/local/share/locale/zh_TW/LC_MESSAGES


%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%postun
if [ -x /sbin/ldconfig ]; then
	/sbin/ldconfig
fi

%files
%defattr(-,root,root)
%{_prefix}/local/share/locale/ja/LC_MESSAGES/cnsetuputil.mo
%{_prefix}/local/share/locale/de/LC_MESSAGES/cnsetuputil.mo
%{_prefix}/local/share/locale/es/LC_MESSAGES/cnsetuputil.mo
%{_prefix}/local/share/locale/fr/LC_MESSAGES/cnsetuputil.mo
%{_prefix}/local/share/locale/it/LC_MESSAGES/cnsetuputil.mo
%{_prefix}/local/share/locale/zh_CN/LC_MESSAGES/cnsetuputil.mo
%{_prefix}/local/share/locale/ko/LC_MESSAGES/cnsetuputil.mo
%{_prefix}/local/share/locale/zh_TW/LC_MESSAGES/cnsetuputil.mo
%{_prefix}/local/bin/cnsetuputil
#%{_prefix}/share/applications/cnsetuputil.desktop

%doc LICENSE-*.txt
